Bug 822457 - [RHEVM] [backend] no substitution for ${type} when moving machine to different cluster
[RHEVM] [backend] no substitution for ${type} when moving machine to differen...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Yair Zaslavsky
Martin Pavlik
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-17 08:01 EDT by Martin Pavlik
Modified: 2016-02-10 14:29 EST (History)
9 users (show)

See Also:
Fixed In Version: si8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:02:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of error message (157.39 KB, image/png)
2012-05-17 08:02 EDT, Martin Pavlik
no flags Details
vdsm.log + engine.log (6.39 KB, application/x-gzip)
2012-05-17 08:02 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2012-05-17 08:01:22 EDT
Description of problem:

When you try reassign VM from cluster which has certain set of logical networks to cluster which does not have same set of logical networks following error appears:

Cannot edit ${type}. Selected Cluster is missing one or more networks DisplayNetwork, NET1 that is used by VM.

variable ${type} should be substituted correctly



Version-Release number of selected component (if applicable):
oVirt Enterprise Virtualization Engine Manager Version: 3.1.0_0001-9.el6ev 

How reproducible:
100%

Steps to Reproduce:
1. Create DC with 2 clusters
2. Create logical networks and attach them to one cluster only
3. Create vm with NICs attach to those logical networks
4. Change vm cluster.
  
Actual results:
variable ${type} appears in error message

Expected results:
variable ${type} should be substituted correctly

Additional info:
Comment 1 Martin Pavlik 2012-05-17 08:02:26 EDT
Created attachment 585201 [details]
screenshot of error message
Comment 2 Martin Pavlik 2012-05-17 08:02:50 EDT
Created attachment 585202 [details]
vdsm.log + engine.log
Comment 5 Martin Pavlik 2012-06-27 10:48:58 EDT
Correct error appears:

Cannot edit VM Cluster. Selected Cluster is missing one or more networks NET1, NET2 that is used by VM.

Note You need to log in before you can comment on or make changes to this bug.